%define majver %(echo %version | cut -d. -f1-2)

Name:          angelfish
Version:       23.08.2
Release:       1mamba
Summary:       KDE Frameworks 5 webbrowser designed to be used in small mobile devices
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/stable/release-service/%{version}/src/angelfish-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libX11-devel
BuildRequires: libfuturesql-devel
BuildRequires: libgcc
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libknotifications-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqcoro-qt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtquickcontrols2-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules

%description
Angelfish is a webbrowser designed to
- be used on small mobile devices,
- integrate well in Plasma workspaces

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/angelfish
%{_bindir}/angelfish-webapp
%{_datadir}/applications/org.kde.angelfish.desktop
%{_datadir}/config.kcfg/angelfishsettings.kcfg
%{_datadir}/icons/hicolor/scalable/apps/org.kde.angelfish.svg
%{_datadir}/knotifications5/angelfish.notifyrc
%{_datadir}/metainfo/org.kde.angelfish.metainfo.xml
%doc LICENSES

%changelog
* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.08.0-1mamba
- package created using the webbuild interface
